%define crawl_output crawl_output

Name: satellite-doc-indexes
Version: 5.3.17
Release: 1%{?dist}
Summary: Lucene indexes of help documentation for Satellite
Group: RHN/Web
License: RHN Subscription License
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: nutch
BuildRequires: rhn-i18n-guides >= 0:5.3.0.2
BuildRequires: rhn-i18n-release-notes >= 0:5.3.0.2
Requires: nutch
BuildArch: noarch
Provides: doc-indexes

%description
Lucene generated indexes used by the satellite search-server for
documentation/help searches

%prep
%setup -q

%build
./crawl_jsp.sh %{_localstatedir}/lib/tomcat5/webapps/rhn/help/

%install
rm -rf $RPM_BUILD_ROOT

LANGS="as-IN bn-IN de-DE en-US es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW"

for lang in $LANGS; do
    install -d -m 755 $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/indexes/docs/$lang/segments
    cp -a %{crawl_output}/$lang/index/* $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/indexes/docs/$lang/
    cp -a %{crawl_output}/$lang/segments/* $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/indexes/docs/$lang/segments
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%{_prefix}/share/rhn/search/indexes/docs

%changelog
* Mon Jul 06 2009 John Matthews <jmatthew@redhat.com> 5.3.17-1
- 507687 - DocSearch force nutch to use "UTF-8" encoding. (jmatthew@redhat.com)

* Fri Jun 12 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.16-1
- update indexes with new docs contents

* Wed Jun 10 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.15-1
- rebuild doc indexes 

* Tue Jun 02 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.14-1
- rebuild against proper docs

* Wed May 27 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.13-1
- respin

* Fri May 22 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.12-1
- change version requires on rhn-i18n-guides and release-notes pkgs

* Tue Apr 07 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.9-1
- rebuild

* Sat Apr 04 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.3-1
- Provides doc-indexes
- %%build generates indexes, %%install installs the indexes

* Fri Apr 03 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0-2
- new package

* Tue Jan 27 2009 John Matthews <jmatthews@redhat.com> 0.4.1-2
- Adding nutch as a Requires

* Thu Jan 15 2009 John Matthews <jmatthews@redhat.com> 0.4.1-1
- Added translated documents

* Wed Dec 17 2008 John Matthews <jmatthews@redhat.com> 0.4.0-1
- initial

